*** winmain.cpp.orig	Mon Jan  3 06:47:50 2005
--- winmain.cpp	Mon Jan  3 06:48:47 2005
***************
*** 6,11 ****
--- 6,15 ----
  #define BOOST_PROGRAM_OPTIONS_SOURCE
  #include <boost/program_options/parsers.hpp>
  #include <cctype>
+ 
+ #ifdef BOOST_NO_STDC_NAMESPACE
+ namespace std { using ::isspace; }
+ #endif
  
  #ifdef _WIN32
  namespace boost { namespace program_options {
***************
*** 23,29 ****
  
          string::const_iterator i = input.begin(), e = input.end();
          for(;i != e; ++i)
!             if (!isspace(*i))
                  break;
         
          if (i != e) {
--- 27,33 ----
  
          string::const_iterator i = input.begin(), e = input.end();
          for(;i != e; ++i)
!             if (!std::isspace(*i))
                  break;
         
          if (i != e) {
***************
*** 55,65 ****
                          current.append(backslash_count, '\\');
                          backslash_count = 0;
                      }
!                     if (isspace(*i) && !inside_quoted) {
                          // Space outside quoted section terminate the current argument
                          result.push_back(current);
                          current.resize(0);
!                         for(;i != e && isspace(*i); ++i)
                              ;
                          --i;
                      } else {                  
--- 59,69 ----
                          current.append(backslash_count, '\\');
                          backslash_count = 0;
                      }
!                     if (std::isspace(*i) && !inside_quoted) {
                          // Space outside quoted section terminate the current argument
                          result.push_back(current);
                          current.resize(0);
!                         for(;i != e && std::isspace(*i); ++i)
                              ;
                          --i;
                      } else {                  
